<?php

$title = 'Тикеты';

// BY ASADAL
// YOUMAS.RU

require_once ('../system/function.php');
require_once ('../system/header.php');

if(!$user['id']) {
header('Location: /index.php');
exit();
}

switch($_GET['act'])
{
default:

echo '<div class="title">Тикеты</div>';

echo '<div class="podmenu"><img src="/images/add.png" alt="*" /> <a href="/tickets/new">Новый тикет</a></div>';

echo '<div class="title">Мои тикеты</div>';

$max = '10';

$empty = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `user` = '".$user['id']."' "),0);
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `user` = '".$user['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$tickets = mysql_query("SELECT * FROM `tickets` WHERE `user` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($tickets))
{
echo '<div class="podmenu"><a href="/tickets/quest'.$a['id'].'">'.$a['name'].'</a> ('.vremja($a['time']).')</a></div>';
}

if($empty == 0) echo '<div class="podmenu"><center><b>Тикетов нет!</b></center></div>';

if ($k_page>1) echo str(''.$HOME.'/tickets?',$k_page,$page); // Вывод страниц

if($user['tex'] == 1) {

echo '<div class="title">Принятые тикеты</div>';

$maxz = '10';

$emptyzz = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `admin` = '".$user['id']."' "),0);
$k_postzz = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `admin` = '".$user['id']."' "),0);
$k_pagezz = k_page($k_postzz,$maxzz);
$pagezz = page($k_pagezz);
$startzz = $maxz*$pagezz-$maxzz;
$ticketszz = mysql_query("SELECT * FROM `tickets` WHERE `admin` = '".$user['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($ticketszz))
{
echo '<div class="podmenu"><a href="/tickets/quest'.$a['id'].'">'.$a['name'].'</a></a></div>';
}

if($emptyzz == 0) echo '<div class="podmenu"><center><b>Принятыx тикетов нет!</b></center></div>';

if ($k_pagez>1) echo str(''.$HOME.'/tickets?',$k_pagezz,$pagezz); // Вывод страниц

echo '<div class="title">Свободные тикеты (для теx и админов)</div>';

$maxz = '10';

$emptyz = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `admin` = '' "),0);
$k_postz = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets` WHERE `admin` = '' "),0);
$k_pagez = k_page($k_postz,$maxz);
$pagez = page($k_pagez);
$startz = $maxz*$pagez-$maxz;
$ticketsz = mysql_query("SELECT * FROM `tickets` WHERE `admin` = ''  ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($ticketsz))
{
echo '<div class="podmenu"><a href="/tickets/quest'.$a['id'].'">'.$a['name'].'</a></a></div>';
}

if($emptyz == 0) echo '<div class="podmenu"><center><b>Свободныx тикетов нет!</b></center></div>';

if ($k_pagez>1) echo str(''.$HOME.'/tickets?',$k_pagez,$pagez); // Вывод страниц

}


break;
case 'new':

echo '<div class="title"><a href="/tickets/">Тикеты</a> | Новый тикет</div>';

if(isset($_REQUEST['ok'])) {

$name = strong($_POST['name']);
$msg = strong($_POST['msg']);

if(empty($msg) or mb_strlen($msg) < 3 or mb_strlen($msg) > 256)
{
echo '<div class="podmenu"><center><b>Ошибка ввода вопроса,минимум 3-256 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

if(empty($name) or mb_strlen($name) < 5 or mb_strlen($name) > 30)
{
echo '<div class="podmenu"><center><b>Ошибка ввода темы,минимум 5-30 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}


mysql_query("INSERT INTO `tickets` SET `name` = '".$name."', `msg` = '".$msg."',`user` = '".$user['id']."',`time` = '".time()."'  ");
echo '<div class="podmenu"><center><b>Тикет успешно создан! Ожидайте ответа от администрации.</b></center></div>';
}

echo '<div class="podmenu">Если вас интересует вопрос по поводу сайта,вы всегда можете написать свой вопрос администрации сайта и мы в кратчайшие сроки постараемся вам на него ответить.Для шутников,вопросы,содержащие маты,оффтоп,юзер блокируется на 1 час! Задаем вопросы по теме!</a></div>';
echo '
<form action="" name="message" method="POST" >
<div class="podmenu">Тема:<br /><input type="text" name="name" maxlength="30" /></div>
<div class="podmenu">Вопрос:<br /><textarea name="msg" placeholder="Введите вопрос..."></textarea></div>
<div class="podmenu"><input type="submit" value="Отправить" name="ok"/> 
</form></div> </div>';

echo '<div class="menu">» <a href="/tickets/quest">Назад в тикеты</a></div>';

break;
case 'quest':

$id = abs(intval($_GET['id']));
$tickets = mysql_fetch_assoc(mysql_query("SELECT * FROM `tickets` WHERE `id` = '".$id."'"));

if($tickets == 0) {
header('Location: /tickets/');
}

if($user['tex'] == 0 && $tickets['user'] != $user['id']) {
header('Location: /tickets/');
}

echo '<div class="menu">Тикет #'.$tickets['id'].'</a></div>';

if($user['tex'] == 1) {
if($tickets['open'] == 0)  { echo '<div class="podmenu"><a href="'.$HOME.'/tickets/close'.$id.'">Закрыть тикет</a></div>'; } else { echo '<div class="podmenu"><a href="'.$HOME.'/tickets/close'.$id.'">Открыть тикет</a></div>'; }
if($tickets['admin'] == '' and $tickets['user'] != $user['id'])  { echo '<div class="podmenu"><a href="'.$HOME.'/tickets/take'.$id.'">Принять тикет</a></div>'; }

echo '<div class="menu">Данные тикета</a></div>';
}

if($tickets['open'] == 0) { echo '<div class="podmenu"><font color="green"><b><center>Открыт для обсуждения</center></b></font>'; } else { echo '<div class="podmenu"><font color="red"><b><center>Закрыт для обсуждения</center></b></font>'; } echo '</a></div>';
echo '<div class="podmenu"><b>Тема</b>: '.$tickets['name'].'</a></div>';
echo '<div class="podmenu"><b>Вопрос</b>: '.$tickets['msg'].'</a></div>';if($tickets['admin'] != '') { echo '<div class="podmenu"><b>Тикет принял</b>: '.nick($tickets['admin']).'</a></div>'; }

echo '<div class="menu">Форма ввода:</a></div>';

if(isset($_REQUEST['yes']))
{

$msg = strong($_POST['msg']);

if(empty($msg) or mb_strlen($msg) < 3 or mb_strlen($msg) > 256)
{
echo '<div class="podmenu"><center><b>Ошибка ввода,минимум 3-256 символов!</b></center></div>';
require_once ('../system/footer.php');
exit();
}
if($tickets['user'] != $user['id']) {
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$tickets['user']."', `kto` = '".$user['id']."', `text` = 'Ответил на ваш [url=".$HOME."/tickets/quest".$id."]тикет[/url]'");
}
mysql_query("INSERT INTO `tickets_post` SET `tickets` = '".$id."', `user` = '".$user['id']."', `msg` = '".$msg."', `time` = '".time()."'");

header('Location: '.$HOME.'/tickets/quest'.$id.'');
exit();

}

if($tickets['open'] == 0 and $tickets['admin'] != '') {
echo '<div class="podmenu"><form action="" name="message" method="POST" >';
echo '<textarea name="msg" placeholder="Введите сообщение..."></textarea><br /></div>

<div class="podmenu"><input type="submit" name="yes" value="Написать" name="add" />
</form></div>';
}
else
{
echo '<div class="podmenu"><center><b>Тикет закрыт или администрация еще не приняла ваш тикет!</b></center></a></div>';
}

echo '<div class="menu">Комментарии:</a></div>';

$max = '10';
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `tickets_post` WHERE `tickets` = '".$tickets['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$post = mysql_query("SELECT * FROM `tickets_post` WHERE  `tickets`='".intval($id)."' ORDER BY `id` LIMIT $start,$max");

while($a = mysql_fetch_assoc($post))
{
echo '<div class="podmenu">'.nick($a['user']).'</a> ('.vremja($a['time']).')</a></br></br>'.$a['msg'].'</a></div>';
}

if($k_post== 0) echo '<div class="podmenu"><center><b>Ответов нет!</b></center></div>';

break;
case 'take':

$id = abs(intval($_GET['id']));
$tickets = mysql_fetch_assoc(mysql_query("SELECT * FROM `tickets` WHERE `id` = '".$id."'"));

if($tickets == 0) {
header('Location: /tickets/');
}

if($tickets['admin'] != '') {
header('Location: /tickets/');
}

if($user['tex'] == 0) {
header('Location: /tickets/');
}

mysql_query("UPDATE `tickets` SET `admin` = '".$user['id']."' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$tickets['user']."', `kto` = '".$user['id']."', `text` = 'Принял ваш [url=".$HOME."/tickets/quest".$id."]тикет[/url]'");
header('Location: /tickets/quest'.$id.'');
exit();

break;
case 'close':

$id = abs(intval($_GET['id']));
$tickets = mysql_fetch_assoc(mysql_query("SELECT * FROM `tickets` WHERE `id` = '".$id."'"));

if($tickets == 0) {
header('Location: /tickets/');
}

if($user['tex'] == 0) {
header('Location: /tickets/');
}

if($tickets['open'] == 0) {
mysql_query("UPDATE `tickets` SET `open` = '1' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$tickets['user']."', `kto` = '".$user['id']."', `text` = 'Закрыл ваш [url=".$HOME."/tickets/quest".$id."]тикет[/url]'");
header('Location: /tickets/quest'.$id.'');
exit();
}
else
{
mysql_query("UPDATE `tickets` SET `open` = '0' WHERE `id` = '".$id."'");
mysql_query("INSERT INTO `lenta` SET `readlen` = '0', `time` = '".time()."', `komy` = '".$tickets['user']."', `kto` = '".$user['id']."', `text` = 'Открыл ваш [url=".$HOME."/tickets/quest".$id."]тикет[/url]'");
header('Location: /tickets/quest'.$id.'');
exit();
}


break;
}

require_once ('../system/footer.php');
?>